Bug 1262631 - kturtle: fix desktop entry
kturtle: fix desktop entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kturtle (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 13:28 EDT by Yaakov Selkowitz
Modified: 2016-05-03 05:49 EDT (History)
7 users (show)

See Also:
Fixed In Version: kturtle-15.12.3-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-03 05:49:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rawhide (2.12 KB, patch)
2015-09-13 13:30 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Yaakov Selkowitz 2015-09-13 13:28:04 EDT
kturtle fails to launch from an XDG menu with the following to stderr:

kturtle: Unknown option 'qwindowtitle'.
kturtle: Use --help to get a list of available command line options.

In this case, the desktop entry was updated (in upstream commit c9dd353) prematurely, as -qwindowtitle is only for QApplication, where kturtle still uses KApplication from KF5KDELibs4Support.  This needs to be reverted for 15.04.x and 15.08.x, but 15.12 should be fine again as it has been ported away from KF5KDELibs4Support.
Comment 1 Yaakov Selkowitz 2015-09-13 13:30:53 EDT
Created attachment 1072973 [details]
Patch for rawhide

There were very minimal changes between 15.04 and 15.08, so this too could
be merged back into both f22 and f23.  Successful scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11072505 (f22)
Comment 2 Fedora Update System 2016-04-22 19:51:39 EDT
kturtle-15.12.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3925bddbb
Comment 3 Fedora Update System 2016-04-24 02:25:55 EDT
kturtle-15.12.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3925bddbb
Comment 4 Fedora Update System 2016-05-03 05:49:55 EDT
kturtle-15.12.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.